<p align="center" style="text-align: center">
    <img title="Drp Installer" height="100" src="./logo.png" />
</p>
A command to help installing new and existing projects on developers machines. 
This is to reduce the time it takes for developers to get set up on projects.

## Installation

Add drp composer repository to your global composer file:
```bash
composer config -g repositories.drp composer https://composer.drp.digital
```

Installs our installer package
```bash
composer global require drp/installer
```

Restart your terminal and you  should now be able to run:
```bash
drp
```

## Usage

### Creating a new project
Run `drp new {name}` this will start the creation process for a new project.
This will create a new folder in the current directory for the new project with the name of the project given. 
However this can be overriden by using the `--folder` option.

*NOTE: It is best if the GitLab project is setup before running this command as it will automatically set up the git remote for you.* 

This includes:
- Cloning a base project.
- Setting up the remote to work with the existing GitLab project.
- Will ask if you want a database creating, if it thinks the projects supports it.
- Running setup commands for that type of project.

#### Options

##### `--folder` or `-f`

You can specify the name of the folder to create the project into. 
This **must** be a relative path to where you are executing the command.

For example:

`drp new new-project --folder=my-client/new-project` 

*NOTE: If you want to create the project in the current folder then use `--folder=.` in your 
new command.* 

### Installing an existing one
Run `drp install {namespace/project}` for example to install JLR GCI Portal you would run
`drp install jlr/gci-portal`.

This will automatically clone the project in the current directory and then execute the 
initial install command specified in the project.

However if you don't know the full path for your project you can run `drp install` and this
will trigger a wizard to search for a project.

#### Options

##### `--folder` or `-f`

You can specify the name of the folder to install the project into. 
This **must** be a relative path to where you are executing the command. 

For example:

`drp new new-project --folder=my-client/new-project` 

*NOTE: If you want to install the project in the current folder then use `--folder=.` in your 
new command.*

## Maintainers
- Chris Normansell (https://git.drp.digital/cnormansell)
