<?php

namespace App\Installation;

use App\Installation\Commands\ComposerInstall;
use App\Installation\Contracts\Instructions;
use Illuminate\Support\Facades\Storage;

class ComposerInstructions extends Instructions
{
    public function name()
    {
        return 'Composer';
    }

    public function canRun(): bool
    {
        return Storage::disk('project')->exists('composer.json');
    }

    protected function commands(): array
    {
        return [new ComposerInstall];
    }
}
