<?php

namespace App\Oauth2;

use Illuminate\Support\Arr;
use League\OAuth2\Client\OptionProvider\OptionProviderInterface;
use League\OAuth2\Client\Provider\AbstractProvider;

class GitlabOptionsProvider implements OptionProviderInterface
{
    public function getAccessTokenOptions($method, array $params): array
    {
        $options = ['headers' => ['content-type' => 'application/json']];

        if ($method === AbstractProvider::METHOD_POST) {
            $options['body'] = $this->getAccessTokenBody($params);
        }

        return $options;
    }

    private function getAccessTokenBody(array $params): string
    {
        return json_encode(Arr::only($params, ['grant_type', 'username', 'password']));
    }
}
