<?php

namespace App\Tasks;

use Illuminate\Database\Connection;
use Illuminate\Database\Connectors\ConnectionFactory;
use Illuminate\Database\QueryException;

class CreateDatabaseTask
{
    /**
     * @var array
     */
    private $connection;

    /**
     * @var string
     */
    private $database;

    public function __construct(Connection $connection, string $database)
    {
        $this->connection = $connection;
        $this->database = $database;
    }

    public function __invoke(): bool
    {
        try {
            // Cannot use parameter binding for db, table or column names
            $this->connection->statement("CREATE DATABASE `{$this->database}`");
        } catch (QueryException $exception) {
            return false;
        }

        return true;
    }
}
